---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# View Credit Note Balance

Returns balance information (documents, payments) for a single credit note

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Credit Note",
      "description": "A credit note is a document you send to your customer to correct a mistake on an order or an invoice, or to refund an amount paid for products or services."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/creditNotes/{id}/balance": {
      "get": {
        "tags": [
          "Credit Note"
        ],
        "operationId": "creditNote.balance",
        "summary": "View Credit Note Balance",
        "description": "Returns balance information (documents, payments) for a single credit note",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "x-description-missing": true,
                      "type": "object",
                      "additionalProperties": false,
                      "properties": {
                        "documents": {
                          "x-description-missing": true,
                          "type": "object",
                          "additionalProperties": false,
                          "properties": {
                            "invoices": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "pattern": "\\d+",
                                    "example": "17",
                                    "description": "Resource identifier."
                                  },
                                  "amount": {
                                    "description": "Money object with amount and currency",
                                    "example": {
                                      "amount": "13.37",
                                      "currency": "EUR"
                                    },
                                    "type": "object",
                                    "additionalProperties": false,
                                    "properties": {
                                      "amount": {
                                        "description": "A string representing the amount",
                                        "type": "string",
                                        "format": "float",
                                        "example": "24.99"
                                      },
                                      "currency": {
                                        "type": "string",
                                        "pattern": "[A-Z]{3}",
                                        "enum": [
                                          "EUR",
                                          "USD",
                                          "JPY",
                                          "BGN",
                                          "CZK",
                                          "DKK",
                                          "GBP",
                                          "HUF",
                                          "PLN",
                                          "RON",
                                          "SEK",
                                          "CHF",
                                          "ISK",
                                          "NOK",
                                          "HRK",
                                          "RUB",
                                          "TRY",
                                          "AUD",
                                          "BRL",
                                          "CAD",
                                          "CNY",
                                          "HKD",
                                          "IDR",
                                          "ILS",
                                          "INR",
                                          "KRW",
                                          "MXN",
                                          "MYR",
                                          "NZD",
                                          "PHP",
                                          "SGD",
                                          "THB",
                                          "ZAR",
                                          "ARS",
                                          "CLP",
                                          "SAR",
                                          "AED",
                                          "QAR"
                                        ],
                                        "description": "Currency matches one of currency values as specified in ISO-4217.",
                                        "example": "PLN"
                                      }
                                    }
                                  },
                                  "date": {
                                    "type": "string",
                                    "format": "date-time"
                                  }
                                }
                              }
                            },
                            "creditNotes": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "pattern": "\\d+",
                                    "example": "17",
                                    "description": "Resource identifier."
                                  },
                                  "amount": {
                                    "description": "Money object with amount and currency",
                                    "example": {
                                      "amount": "13.37",
                                      "currency": "EUR"
                                    },
                                    "type": "object",
                                    "additionalProperties": false,
                                    "properties": {
                                      "amount": {
                                        "description": "A string representing the amount",
                                        "type": "string",
                                        "format": "float",
                                        "example": "24.99"
                                      },
                                      "currency": {
                                        "type": "string",
                                        "pattern": "[A-Z]{3}",
                                        "enum": [
                                          "EUR",
                                          "USD",
                                          "JPY",
                                          "BGN",
                                          "CZK",
                                          "DKK",
                                          "GBP",
                                          "HUF",
                                          "PLN",
                                          "RON",
                                          "SEK",
                                          "CHF",
                                          "ISK",
                                          "NOK",
                                          "HRK",
                                          "RUB",
                                          "TRY",
                                          "AUD",
                                          "BRL",
                                          "CAD",
                                          "CNY",
                                          "HKD",
                                          "IDR",
                                          "ILS",
                                          "INR",
                                          "KRW",
                                          "MXN",
                                          "MYR",
                                          "NZD",
                                          "PHP",
                                          "SGD",
                                          "THB",
                                          "ZAR",
                                          "ARS",
                                          "CLP",
                                          "SAR",
                                          "AED",
                                          "QAR"
                                        ],
                                        "description": "Currency matches one of currency values as specified in ISO-4217.",
                                        "example": "PLN"
                                      }
                                    }
                                  },
                                  "date": {
                                    "type": "string",
                                    "format": "date-time"
                                  }
                                }
                              }
                            }
                          },
                          "example": {
                            "invoices": [
                              {
                                "id": "1",
                                "amount": {
                                  "amount": "13.37",
                                  "currency": "EUR"
                                },
                                "date": "2023-08-13T14:45:36+02:00"
                              }
                            ],
                            "creditNotes": [
                              {
                                "id": "1",
                                "amount": {
                                  "amount": "13.37",
                                  "currency": "EUR"
                                },
                                "date": "2023-08-13T14:45:36+02:00"
                              }
                            ]
                          }
                        },
                        "payments": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "reference": {
                                "type": "object",
                                "additionalProperties": false,
                                "description": "Only one of the actually referenced object.",
                                "properties": {
                                  "invoice": {
                                    "description": "Nullable reference to another resource",
                                    "type": "object",
                                    "additionalProperties": false,
                                    "nullable": true,
                                    "required": [
                                      "id"
                                    ],
                                    "properties": {
                                      "id": {
                                        "type": "string",
                                        "pattern": "\\d+",
                                        "example": "17",
                                        "description": "Resource identifier."
                                      }
                                    },
                                    "example": {
                                      "id": "1337"
                                    }
                                  },
                                  "creditNote": {
                                    "description": "Nullable reference to another resource",
                                    "type": "object",
                                    "additionalProperties": false,
                                    "nullable": true,
                                    "required": [
                                      "id"
                                    ],
                                    "properties": {
                                      "id": {
                                        "type": "string",
                                        "pattern": "\\d+",
                                        "example": "17",
                                        "description": "Resource identifier."
                                      }
                                    },
                                    "example": {
                                      "id": "1337"
                                    }
                                  }
                                }
                              },
                              "payment": {
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "pattern": "\\d+",
                                    "example": "17",
                                    "description": "Resource identifier."
                                  },
                                  "type": {
                                    "type": "string",
                                    "enum": [
                                      "incoming",
                                      "outgoing"
                                    ],
                                    "nullable": false
                                  },
                                  "statementId": {
                                    "type": "string"
                                  },
                                  "accountName": {
                                    "type": "string"
                                  },
                                  "amount": {
                                    "description": "Money object with amount and currency",
                                    "example": {
                                      "amount": "13.37",
                                      "currency": "EUR"
                                    },
                                    "type": "object",
                                    "additionalProperties": false,
                                    "properties": {
                                      "amount": {
                                        "description": "A string representing the amount",
                                        "type": "string",
                                        "format": "float",
                                        "example": "24.99"
                                      },
                                      "currency": {
                                        "type": "string",
                                        "pattern": "[A-Z]{3}",
                                        "enum": [
                                          "EUR",
                                          "USD",
                                          "JPY",
                                          "BGN",
                                          "CZK",
                                          "DKK",
                                          "GBP",
                                          "HUF",
                                          "PLN",
                                          "RON",
                                          "SEK",
                                          "CHF",
                                          "ISK",
                                          "NOK",
                                          "HRK",
                                          "RUB",
                                          "TRY",
                                          "AUD",
                                          "BRL",
                                          "CAD",
                                          "CNY",
                                          "HKD",
                                          "IDR",
                                          "ILS",
                                          "INR",
                                          "KRW",
                                          "MXN",
                                          "MYR",
                                          "NZD",
                                          "PHP",
                                          "SGD",
                                          "THB",
                                          "ZAR",
                                          "ARS",
                                          "CLP",
                                          "SAR",
                                          "AED",
                                          "QAR"
                                        ],
                                        "description": "Currency matches one of currency values as specified in ISO-4217.",
                                        "example": "PLN"
                                      }
                                    }
                                  },
                                  "date": {
                                    "type": "string",
                                    "format": "date-time"
                                  }
                                }
                              }
                            }
                          }
                        }
                      },
                      "example": {
                        "documents": {
                          "invoices": [
                            {
                              "id": "87",
                              "amount": {
                                "amount": "1483.63",
                                "currency": "EUR"
                              },
                              "date": "2024-03-08T00:00:00+01:00"
                            }
                          ],
                          "creditNotes": [
                            {
                              "id": "2",
                              "amount": {
                                "amount": "24.99",
                                "currency": "EUR"
                              },
                              "date": "2024-06-17T00:00:00+02:00"
                            }
                          ]
                        },
                        "payments": []
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "IETF RFC 9457 Problem API compliant response",
            "content": {
              "application/problem+json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "violations"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/request-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1,
                          "example": "Request payload validation failed."
                        },
                        "violations": {
                          "oneOf": [
                            {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "example": {
                                  "username": [
                                    "This value should not be blank."
                                  ],
                                  "email": [
                                    "This value is not a valid email address."
                                  ]
                                }
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            },
                            {
                              "type": "object",
                              "example": {
                                "_": [
                                  "This value should contain at most `9` elements."
                                ]
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            }
                          ]
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflict"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "items"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflictItems"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "items": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "title",
                              "messages"
                            ],
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "title": {
                                "type": "string",
                                "minLength": 1
                              },
                              "messages": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "scopes"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://developer.xentral.com/reference/problems#token-scopes"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "scopes": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```